#! /usr/bin/env -S python3 -B

import sys

from pathlib import Path

from rwx.prj import Project
from rwx.prj.sphinx import SphinxProject

PROJECTS = [
    "blanc",
    "probatoire",
    "thesis",
]


if __name__ == "__main__":
    root = Path(__file__).resolve().parent / "cnam.marc"
    # projects
    for project in PROJECTS:
        Project(root / project / "build.py").build()
    # project
    sys.exit(SphinxProject(Path(__file__)).build())
